## org.eclipse.emf.ocl.expressions
Interface AssociationClassCallExp

All Superinterfaces:
  ASTNode, CallExp, CallingASTNode, EModelElement, ENamedElement, EObject, FeatureCallExp, NavigationCallExp, Notifier, OCLExpression, TypedElement, Visitable

All Known Implementing Classes:
  AssociationClassCallExpImpl

Deprecated. Use the `AssociationClassCallExp` interface, instead.

    @Deprecated
    public interface AssociationClassCallExp

extends NavigationCallExp

A representation of the model object 'Association Class Call Exp'.

The following features are supported:

- `Referred Association Class`

See Also:
  `ExpressionsPackage.getAssociationClassCallExp()`

Field Summary
`static String` `copyright` Deprecated.

Method Summary
`EClass` `getReferredAssociationClass()` Deprecated. Returns the value of the 'Referred Association Class' reference
`void` `setReferredAssociationClass(EClass value)` Deprecated. Sets the value of the '`Referred Association Class`' reference

Methods inherited from interface org.eclipse.emf.ocl.expressions.NavigationCallExp
`getNavigationSource, getQualifier, setNavigationSource`

Methods inherited from interface org.eclipse.emf.ocl.expressions.FeatureCallExp
`isMarkedPre, setMarkedPre`

Methods inherited from interface org.eclipse.emf.ocl.expressions.CallExp
`getSource, setSource`

Methods inherited from interface org.eclipse.emf.ocl.uml.TypedElement
`getType, setType`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ocl.utilities.Visitable
`accept`

Methods inherited from interface org.eclipse.emf.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Methods inherited from interface org.eclipse.emf.ocl.utilities.CallingASTNode
`getPropertyEndPosition, getPropertyStartPosition, setPropertyEndPosition, setPropertyStartPosition`

Methods inherited from interface org.eclipse.emf.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Field Detail

### copyright

    static final String copyright

  Deprecated.

  See Also:
    Constant Field Values

Method Detail

### getReferredAssociationClass

    EClass getReferredAssociationClass()

  Deprecated.
  Returns the value of the 'Referred Association Class' reference.

  If the meaning of the 'Referred Association Class' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Referred Association Class' reference.
  See Also:
    `setReferredAssociationClass(EClass)`, `ExpressionsPackage.getAssociationClassCallExp_ReferredAssociationClass()`

### setReferredAssociationClass

    void setReferredAssociationClass(EClass value)

  Deprecated.
  Sets the value of the '`Referred Association Class`' reference.

  Parameters:
    `value` - the new value of the 'Referred Association Class' reference.
  See Also:
    `getReferredAssociationClass()`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.